info.bioinfweb.jphyloio.formats.phyloxml

## Interface PhyloXMLConstants

- All Known Implementing Classes:
    NHXUtils, PhyloXMLCollectMetadataDataReceiver, PhyloXMLColorTranslator, PhyloXMLEventReader, PhyloXMLEventWriter, PhyloXMLFactory, PhyloXMLMetaDataReceiver, PhyloXMLOnlyCustomXMLDataReceiver, PhyloXMLPropertyMetadataReceiver, PhyloXMLSpecificPredicatesDataReceiver, PhyloXMLWriterStreamDataProvider

      public interface PhyloXMLConstants

  Defines constants necessary to read and write PhyloXML files.

  Of interest for application developers are the predicates defined here that allow to read and write PhyloXML-specific tags for predefined annotations.

  Author:
    Sarah Wiechers, Ben Stöver
  See Also:
    `PhyloXMLEventReader`, `PhyloXMLEventWriter`, Metadata demo application

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APPLIES_TO_ANNOTATION`
    `static java.lang.String` | `APPLIES_TO_CLADE`
    `static java.lang.String` | `APPLIES_TO_NODE`
    `static java.lang.String` | `APPLIES_TO_OTHER`
    `static java.lang.String` | `APPLIES_TO_PARENT_BRANCH`
    `static java.lang.String` | `APPLIES_TO_PHYLOGENY`
    `static javax.xml.namespace.QName` | `ATTR_ABSENT_COUNT`
    `static javax.xml.namespace.QName` | `ATTR_ALT_UNIT`
    `static javax.xml.namespace.QName` | `ATTR_APPLIES_TO`
    `static javax.xml.namespace.QName` | `ATTR_BRANCH_LENGTH`
    `static javax.xml.namespace.QName` | `ATTR_BRANCH_LENGTH_UNIT`
    `static javax.xml.namespace.QName` | `ATTR_COLLAPSE`
    `static javax.xml.namespace.QName` | `ATTR_COMMENT`
    `static javax.xml.namespace.QName` | `ATTR_CONFIDENCE`
    `static javax.xml.namespace.QName` | `ATTR_DATATYPE`
    `static javax.xml.namespace.QName` | `ATTR_DESC`
    `static javax.xml.namespace.QName` | `ATTR_DISTANCE`
    `static javax.xml.namespace.QName` | `ATTR_DOI`
    `static javax.xml.namespace.QName` | `ATTR_EVIDENCE`
    `static javax.xml.namespace.QName` | `ATTR_FROM`
    `static javax.xml.namespace.QName` | `ATTR_GAINED_COUNT`
    `static javax.xml.namespace.QName` | `ATTR_GEO_DATUM`
    `static javax.xml.namespace.QName` | `ATTR_ID`
    `static javax.xml.namespace.QName` | `ATTR_ID_PROVIDER`
    `static javax.xml.namespace.QName` | `ATTR_ID_REF`
    `static javax.xml.namespace.QName` | `ATTR_ID_REF_0`
    `static javax.xml.namespace.QName` | `ATTR_ID_REF_1`
    `static javax.xml.namespace.QName` | `ATTR_ID_SOURCE`
    `static javax.xml.namespace.QName` | `ATTR_IS_ALIGNED`
    `static javax.xml.namespace.QName` | `ATTR_LENGTH`
    `static javax.xml.namespace.QName` | `ATTR_LOST_COUNT`
    `static javax.xml.namespace.QName` | `ATTR_PRESENT_COUNT`
    `static javax.xml.namespace.QName` | `ATTR_REF`
    `static javax.xml.namespace.QName` | `ATTR_REROOTABLE`
    `static javax.xml.namespace.QName` | `ATTR_ROOTED`
    `static javax.xml.namespace.QName` | `ATTR_SOURCE`
    `static javax.xml.namespace.QName` | `ATTR_STANDARD_DEVIATION`
    `static javax.xml.namespace.QName` | `ATTR_TO`
    `static javax.xml.namespace.QName` | `ATTR_TYPE`
    `static javax.xml.namespace.QName` | `ATTR_UNIT`
    `static javax.xml.namespace.QName` | `DATA_TYPE_BRANCH_COLOR`
    `static javax.xml.namespace.QName` | `DATA_TYPE_EVENTTYPE`
    `static javax.xml.namespace.QName` | `DATA_TYPE_RANK`
    `static javax.xml.namespace.QName` | `DATA_TYPE_SEQUENCE_SYMBOL`
    `static javax.xml.namespace.QName` | `DATA_TYPE_TAXONOMY_CODE`
    `static java.lang.String` | `JPHYLOIO_PHYLOXML_NAMESPACE`
    `static java.lang.String` | `PHYLOXML_DATA_TYPE_NAMESPACE`
    `static java.lang.String` | `PHYLOXML_DEFAULT_PRE`
    `static java.lang.String` | `PHYLOXML_FORMAT_NAME`
    `static java.lang.String` | `PHYLOXML_NAMESPACE`
    `static java.lang.String` | `PHYLOXML_PREDICATE_NAMESPACE`
    `static java.lang.String` | `PHYLOXML_SCHEMA_LOCATION_URI`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_ATTR_EVIDENCE`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_ATTR_REF`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_ATTR_SOURCE`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_CONFIDENCE`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_CONFIDENCE_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_CONFIDENCE_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_DESC`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_PROPERTY`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_PROPERTY_ATTR_APPLIES_TO`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_PROPERTY_ATTR_DATATYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_PROPERTY_ATTR_ID_REF`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_PROPERTY_ATTR_UNIT`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_URI`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_URI_ATTR_DESC`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_URI_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_ANNOTATION_URI_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_ATTR_COLLAPSE`
    `static javax.xml.namespace.QName` | `PREDICATE_ATTR_ID_SOURCE`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_ABSENT`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_ABSENT_BC`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_ATTR_ABSENT_COUNT`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_ATTR_GAINED_COUNT`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_ATTR_LOST_COUNT`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_ATTR_PRESENT_COUNT`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_GAINED`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_GAINED_BC`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_LOST`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_LOST_BC`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_PRESENT`
    `static javax.xml.namespace.QName` | `PREDICATE_BINARY_CHARACTERS_PRESENT_BC`
    `static javax.xml.namespace.QName` | `PREDICATE_CLADE_REL`
    `static javax.xml.namespace.QName` | `PREDICATE_CLADE_REL_ATTR_DISTANCE`
    `static javax.xml.namespace.QName` | `PREDICATE_CLADE_REL_ATTR_IDREF0`
    `static javax.xml.namespace.QName` | `PREDICATE_CLADE_REL_ATTR_IDREF1`
    `static javax.xml.namespace.QName` | `PREDICATE_CLADE_REL_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_COLOR`
    `static javax.xml.namespace.QName` | `PREDICATE_COLOR_ALPHA`
    `static javax.xml.namespace.QName` | `PREDICATE_COLOR_BLUE`
    `static javax.xml.namespace.QName` | `PREDICATE_COLOR_GREEN`
    `static javax.xml.namespace.QName` | `PREDICATE_COLOR_RED`
    `static javax.xml.namespace.QName` | `PREDICATE_CONFIDENCE`
    `static javax.xml.namespace.QName` | `PREDICATE_CONFIDENCE_ATTR_STDDEV`
    `static javax.xml.namespace.QName` | `PREDICATE_CONFIDENCE_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_CONFIDENCE_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_DATE`
    `static javax.xml.namespace.QName` | `PREDICATE_DATE_ATTR_UNIT`
    `static javax.xml.namespace.QName` | `PREDICATE_DATE_DESC`
    `static javax.xml.namespace.QName` | `PREDICATE_DATE_MAXIMUM`
    `static javax.xml.namespace.QName` | `PREDICATE_DATE_MINIMUM`
    `static javax.xml.namespace.QName` | `PREDICATE_DATE_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_DESC`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POINT`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POINT_ALT`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POINT_ATTR_ALT_UNIT`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POINT_ATTR_GEODETIC_DATUM`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POINT_LAT`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POINT_LONG`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POLYGON`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POLYGON_POINT`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POLYGON_POINT_ALT`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POLYGON_POINT_ATTR_ALT_UNIT`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POLYGON_POINT_ATTR_GEODETIC_DATUM`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POLYGON_POINT_LAT`
    `static javax.xml.namespace.QName` | `PREDICATE_DISTRIBUTION_POLYGON_POINT_LONG`
    `static javax.xml.namespace.QName` | `PREDICATE_DOMAIN_ARCHITECTURE`
    `static javax.xml.namespace.QName` | `PREDICATE_DOMAIN_ARCHITECTURE_ATTR_LENGTH`
    `static javax.xml.namespace.QName` | `PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN`
    `static javax.xml.namespace.QName` | `PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_CONFIDENCE`
    `static javax.xml.namespace.QName` | `PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_FROM`
    `static javax.xml.namespace.QName` | `PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_ID`
    `static javax.xml.namespace.QName` | `PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_TO`
    `static javax.xml.namespace.QName` | `PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_EVENTS`
    `static javax.xml.namespace.QName` | `PREDICATE_EVENTS_CONFIDENCE`
    `static javax.xml.namespace.QName` | `PREDICATE_EVENTS_CONFIDENCE_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_EVENTS_CONFIDENCE_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_EVENTS_DUPLICATIONS`
    `static javax.xml.namespace.QName` | `PREDICATE_EVENTS_LOSSES`
    `static javax.xml.namespace.QName` | `PREDICATE_EVENTS_SPECIATIONS`
    `static javax.xml.namespace.QName` | `PREDICATE_EVENTS_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_NODE_ID`
    `static javax.xml.namespace.QName` | `PREDICATE_NODE_ID_ATTR_PROVIDER`
    `static javax.xml.namespace.QName` | `PREDICATE_NODE_ID_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_PHYLOGENY_ATTR_BRANCH_LENGTH_UNIT`
    `static javax.xml.namespace.QName` | `PREDICATE_PHYLOGENY_ATTR_REROOTABLE`
    `static javax.xml.namespace.QName` | `PREDICATE_PHYLOGENY_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_PHYLOGENY_DATE`
    `static javax.xml.namespace.QName` | `PREDICATE_PHYLOGENY_DESCRIPTION`
    `static javax.xml.namespace.QName` | `PREDICATE_PHYLOGENY_ID`
    `static javax.xml.namespace.QName` | `PREDICATE_PHYLOGENY_ID_ATTR_PROVIDER`
    `static javax.xml.namespace.QName` | `PREDICATE_PHYLOGENY_ID_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_PROPERTY`
    `static javax.xml.namespace.QName` | `PREDICATE_PROPERTY_ATTR_APPLIES_TO`
    `static javax.xml.namespace.QName` | `PREDICATE_PROPERTY_ATTR_ID_REF`
    `static javax.xml.namespace.QName` | `PREDICATE_PROPERTY_ATTR_UNIT`
    `static javax.xml.namespace.QName` | `PREDICATE_REFERENCE`
    `static javax.xml.namespace.QName` | `PREDICATE_REFERENCE_ATTR_DOI`
    `static javax.xml.namespace.QName` | `PREDICATE_REFERENCE_DESC`
    `static javax.xml.namespace.QName` | `PREDICATE_REFERENCE_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQ_REL`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQ_REL_ATTR_DISTANCE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQ_REL_ATTR_IDREF0`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQ_REL_ATTR_IDREF1`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQ_REL_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQ_REL_CONFIDENCE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQ_REL_CONFIDENCE_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQ_REL_CONFIDENCE_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_ACCESSION`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_ACCESSION_ATTR_COMMENT`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_ACCESSION_ATTR_SOURCE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_ACCESSION_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_ATTR_ID_REF`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_CROSS_REFERENCES`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION_ATTR_COMMENT`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION_ATTR_SOURCE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_GENE_NAME`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_LOCATION`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_MOL_SEQ`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_MOL_SEQ_ATTR_IS_ALIGNED`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_MOL_SEQ_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_NAME`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_SYMBOL`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_URI`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_URI_ATTR_DESC`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_URI_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_SEQUENCE_URI_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_AUTHORITY`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_CODE`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_COMMON_NAME`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_ID`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_ID_ATTR_PROVIDER`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_ID_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_RANK`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_SCIENTIFIC_NAME`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_SYNONYM`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_URI`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_URI_ATTR_DESC`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_URI_ATTR_TYPE`
    `static javax.xml.namespace.QName` | `PREDICATE_TAXONOMY_URI_VALUE`
    `static javax.xml.namespace.QName` | `PREDICATE_WIDTH`
    `static javax.xml.namespace.QName` | `TAG_ABSENT`
    `static javax.xml.namespace.QName` | `TAG_ACCESSION`
    `static javax.xml.namespace.QName` | `TAG_ALPHA`
    `static javax.xml.namespace.QName` | `TAG_ALT`
    `static javax.xml.namespace.QName` | `TAG_ANNOTATION`
    `static javax.xml.namespace.QName` | `TAG_AUTHORITY`
    `static javax.xml.namespace.QName` | `TAG_BC`
    `static javax.xml.namespace.QName` | `TAG_BINARY_CHARACTERS`
    `static javax.xml.namespace.QName` | `TAG_BLUE`
    `static javax.xml.namespace.QName` | `TAG_BRANCH_COLOR`
    `static javax.xml.namespace.QName` | `TAG_BRANCH_LENGTH`
    `static javax.xml.namespace.QName` | `TAG_BRANCH_WIDTH`
    `static javax.xml.namespace.QName` | `TAG_CLADE`
    `static javax.xml.namespace.QName` | `TAG_CLADE_RELATION`
    `static javax.xml.namespace.QName` | `TAG_CODE`
    `static javax.xml.namespace.QName` | `TAG_COMMON_NAME`
    `static javax.xml.namespace.QName` | `TAG_CONFIDENCE`
    `static javax.xml.namespace.QName` | `TAG_CROSS_REFERENCES`
    `static javax.xml.namespace.QName` | `TAG_DATE`
    `static javax.xml.namespace.QName` | `TAG_DESC`
    `static javax.xml.namespace.QName` | `TAG_DESCRIPTION`
    `static javax.xml.namespace.QName` | `TAG_DISTRIBUTION`
    `static javax.xml.namespace.QName` | `TAG_DOMAIN`
    `static javax.xml.namespace.QName` | `TAG_DOMAIN_ARCHITECTURE`
    `static javax.xml.namespace.QName` | `TAG_DUPLICATIONS`
    `static javax.xml.namespace.QName` | `TAG_EVENTS`
    `static javax.xml.namespace.QName` | `TAG_GAINED`
    `static javax.xml.namespace.QName` | `TAG_GENE_NAME`
    `static javax.xml.namespace.QName` | `TAG_GREEN`
    `static javax.xml.namespace.QName` | `TAG_ID`
    `static javax.xml.namespace.QName` | `TAG_LAT`
    `static javax.xml.namespace.QName` | `TAG_LOCATION`
    `static javax.xml.namespace.QName` | `TAG_LONG`
    `static javax.xml.namespace.QName` | `TAG_LOSSES`
    `static javax.xml.namespace.QName` | `TAG_LOST`
    `static javax.xml.namespace.QName` | `TAG_MAXIMUM`
    `static javax.xml.namespace.QName` | `TAG_MINIMUM`
    `static javax.xml.namespace.QName` | `TAG_MOL_SEQ`
    `static javax.xml.namespace.QName` | `TAG_NAME`
    `static javax.xml.namespace.QName` | `TAG_NODE_ID`
    `static javax.xml.namespace.QName` | `TAG_PHYLOGENY`
    `static javax.xml.namespace.QName` | `TAG_POINT`
    `static javax.xml.namespace.QName` | `TAG_POLYGON`
    `static javax.xml.namespace.QName` | `TAG_PRESENT`
    `static javax.xml.namespace.QName` | `TAG_PROPERTY`
    `static javax.xml.namespace.QName` | `TAG_RANK`
    `static javax.xml.namespace.QName` | `TAG_RED`
    `static javax.xml.namespace.QName` | `TAG_REFERENCE`
    `static javax.xml.namespace.QName` | `TAG_ROOT`
    `static javax.xml.namespace.QName` | `TAG_SCI_NAME`
    `static javax.xml.namespace.QName` | `TAG_SEQUENCE`
    `static javax.xml.namespace.QName` | `TAG_SEQUENCE_RELATION`
    `static javax.xml.namespace.QName` | `TAG_SPECIATIONS`
    `static javax.xml.namespace.QName` | `TAG_SYMBOL`
    `static javax.xml.namespace.QName` | `TAG_SYNONYM`
    `static javax.xml.namespace.QName` | `TAG_TAXONOMY`
    `static javax.xml.namespace.QName` | `TAG_TYPE`
    `static javax.xml.namespace.QName` | `TAG_URI`
    `static javax.xml.namespace.QName` | `TAG_VALUE`
    `static java.lang.String` | `TYPE_NETWORK_EDGE`

- - ### Field Detail

    - #### PHYLOXML_FORMAT_NAME

          static final java.lang.String PHYLOXML_FORMAT_NAME

      See Also:
        Constant Field Values

    - #### PHYLOXML_DEFAULT_PRE

          static final java.lang.String PHYLOXML_DEFAULT_PRE

      See Also:
        Constant Field Values

    - #### PHYLOXML_NAMESPACE

          static final java.lang.String PHYLOXML_NAMESPACE

      See Also:
        Constant Field Values

    - #### JPHYLOIO_PHYLOXML_NAMESPACE

          static final java.lang.String JPHYLOIO_PHYLOXML_NAMESPACE

      See Also:
        Constant Field Values

    - #### PHYLOXML_SCHEMA_LOCATION_URI

          static final java.lang.String PHYLOXML_SCHEMA_LOCATION_URI

      See Also:
        Constant Field Values

    - #### TAG_ROOT

          static final javax.xml.namespace.QName TAG_ROOT

    - #### TAG_PHYLOGENY

          static final javax.xml.namespace.QName TAG_PHYLOGENY

    - #### TAG_NAME

          static final javax.xml.namespace.QName TAG_NAME

    - #### TAG_ID

          static final javax.xml.namespace.QName TAG_ID

    - #### TAG_DESCRIPTION

          static final javax.xml.namespace.QName TAG_DESCRIPTION

    - #### TAG_DATE

          static final javax.xml.namespace.QName TAG_DATE

    - #### TAG_CONFIDENCE

          static final javax.xml.namespace.QName TAG_CONFIDENCE

    - #### TAG_CLADE_RELATION

          static final javax.xml.namespace.QName TAG_CLADE_RELATION

    - #### TAG_SEQUENCE_RELATION

          static final javax.xml.namespace.QName TAG_SEQUENCE_RELATION

    - #### TAG_PROPERTY

          static final javax.xml.namespace.QName TAG_PROPERTY

    - #### TAG_CLADE

          static final javax.xml.namespace.QName TAG_CLADE

    - #### TAG_BRANCH_LENGTH

          static final javax.xml.namespace.QName TAG_BRANCH_LENGTH

    - #### TAG_BRANCH_WIDTH

          static final javax.xml.namespace.QName TAG_BRANCH_WIDTH

    - #### TAG_BRANCH_COLOR

          static final javax.xml.namespace.QName TAG_BRANCH_COLOR

    - #### TAG_RED

          static final javax.xml.namespace.QName TAG_RED

    - #### TAG_GREEN

          static final javax.xml.namespace.QName TAG_GREEN

    - #### TAG_BLUE

          static final javax.xml.namespace.QName TAG_BLUE

    - #### TAG_ALPHA

          static final javax.xml.namespace.QName TAG_ALPHA

    - #### TAG_NODE_ID

          static final javax.xml.namespace.QName TAG_NODE_ID

    - #### TAG_TAXONOMY

          static final javax.xml.namespace.QName TAG_TAXONOMY

    - #### TAG_CODE

          static final javax.xml.namespace.QName TAG_CODE

    - #### TAG_SCI_NAME

          static final javax.xml.namespace.QName TAG_SCI_NAME

    - #### TAG_AUTHORITY

          static final javax.xml.namespace.QName TAG_AUTHORITY

    - #### TAG_COMMON_NAME

          static final javax.xml.namespace.QName TAG_COMMON_NAME

    - #### TAG_SYNONYM

          static final javax.xml.namespace.QName TAG_SYNONYM

    - #### TAG_RANK

          static final javax.xml.namespace.QName TAG_RANK

    - #### TAG_URI

          static final javax.xml.namespace.QName TAG_URI

    - #### TAG_SEQUENCE

          static final javax.xml.namespace.QName TAG_SEQUENCE

    - #### TAG_SYMBOL

          static final javax.xml.namespace.QName TAG_SYMBOL

    - #### TAG_ACCESSION

          static final javax.xml.namespace.QName TAG_ACCESSION

    - #### TAG_LOCATION

          static final javax.xml.namespace.QName TAG_LOCATION

    - #### TAG_MOL_SEQ

          static final javax.xml.namespace.QName TAG_MOL_SEQ

    - #### TAG_ANNOTATION

          static final javax.xml.namespace.QName TAG_ANNOTATION

    - #### TAG_DOMAIN_ARCHITECTURE

          static final javax.xml.namespace.QName TAG_DOMAIN_ARCHITECTURE

    - #### TAG_DOMAIN

          static final javax.xml.namespace.QName TAG_DOMAIN

    - #### TAG_GENE_NAME

          static final javax.xml.namespace.QName TAG_GENE_NAME

    - #### TAG_CROSS_REFERENCES

          static final javax.xml.namespace.QName TAG_CROSS_REFERENCES

    - #### TAG_EVENTS

          static final javax.xml.namespace.QName TAG_EVENTS

    - #### TAG_TYPE

          static final javax.xml.namespace.QName TAG_TYPE

    - #### TAG_DUPLICATIONS

          static final javax.xml.namespace.QName TAG_DUPLICATIONS

    - #### TAG_SPECIATIONS

          static final javax.xml.namespace.QName TAG_SPECIATIONS

    - #### TAG_LOSSES

          static final javax.xml.namespace.QName TAG_LOSSES

    - #### TAG_BINARY_CHARACTERS

          static final javax.xml.namespace.QName TAG_BINARY_CHARACTERS

    - #### TAG_GAINED

          static final javax.xml.namespace.QName TAG_GAINED

    - #### TAG_LOST

          static final javax.xml.namespace.QName TAG_LOST

    - #### TAG_PRESENT

          static final javax.xml.namespace.QName TAG_PRESENT

    - #### TAG_ABSENT

          static final javax.xml.namespace.QName TAG_ABSENT

    - #### TAG_BC

          static final javax.xml.namespace.QName TAG_BC

    - #### TAG_DISTRIBUTION

          static final javax.xml.namespace.QName TAG_DISTRIBUTION

    - #### TAG_DESC

          static final javax.xml.namespace.QName TAG_DESC

    - #### TAG_POINT

          static final javax.xml.namespace.QName TAG_POINT

    - #### TAG_LAT

          static final javax.xml.namespace.QName TAG_LAT

    - #### TAG_LONG

          static final javax.xml.namespace.QName TAG_LONG

    - #### TAG_ALT

          static final javax.xml.namespace.QName TAG_ALT

    - #### TAG_POLYGON

          static final javax.xml.namespace.QName TAG_POLYGON

    - #### TAG_REFERENCE

          static final javax.xml.namespace.QName TAG_REFERENCE

    - #### TAG_VALUE

          static final javax.xml.namespace.QName TAG_VALUE

    - #### TAG_MINIMUM

          static final javax.xml.namespace.QName TAG_MINIMUM

    - #### TAG_MAXIMUM

          static final javax.xml.namespace.QName TAG_MAXIMUM

    - #### ATTR_ROOTED

          static final javax.xml.namespace.QName ATTR_ROOTED

    - #### ATTR_REROOTABLE

          static final javax.xml.namespace.QName ATTR_REROOTABLE

    - #### ATTR_BRANCH_LENGTH_UNIT

          static final javax.xml.namespace.QName ATTR_BRANCH_LENGTH_UNIT

    - #### ATTR_TYPE

          static final javax.xml.namespace.QName ATTR_TYPE

    - #### ATTR_BRANCH_LENGTH

          static final javax.xml.namespace.QName ATTR_BRANCH_LENGTH

    - #### ATTR_ID_SOURCE

          static final javax.xml.namespace.QName ATTR_ID_SOURCE

    - #### ATTR_COLLAPSE

          static final javax.xml.namespace.QName ATTR_COLLAPSE

    - #### ATTR_ID_PROVIDER

          static final javax.xml.namespace.QName ATTR_ID_PROVIDER

    - #### ATTR_ID_REF_0

          static final javax.xml.namespace.QName ATTR_ID_REF_0

    - #### ATTR_ID_REF_1

          static final javax.xml.namespace.QName ATTR_ID_REF_1

    - #### ATTR_DISTANCE

          static final javax.xml.namespace.QName ATTR_DISTANCE

    - #### ATTR_REF

          static final javax.xml.namespace.QName ATTR_REF

    - #### ATTR_UNIT

          static final javax.xml.namespace.QName ATTR_UNIT

    - #### ATTR_DATATYPE

          static final javax.xml.namespace.QName ATTR_DATATYPE

    - #### ATTR_APPLIES_TO

          static final javax.xml.namespace.QName ATTR_APPLIES_TO

    - #### ATTR_ID_REF

          static final javax.xml.namespace.QName ATTR_ID_REF

    - #### ATTR_DESC

          static final javax.xml.namespace.QName ATTR_DESC

    - #### ATTR_SOURCE

          static final javax.xml.namespace.QName ATTR_SOURCE

    - #### ATTR_IS_ALIGNED

          static final javax.xml.namespace.QName ATTR_IS_ALIGNED

    - #### ATTR_EVIDENCE

          static final javax.xml.namespace.QName ATTR_EVIDENCE

    - #### ATTR_LENGTH

          static final javax.xml.namespace.QName ATTR_LENGTH

    - #### ATTR_GEO_DATUM

          static final javax.xml.namespace.QName ATTR_GEO_DATUM

    - #### ATTR_ALT_UNIT

          static final javax.xml.namespace.QName ATTR_ALT_UNIT

    - #### ATTR_DOI

          static final javax.xml.namespace.QName ATTR_DOI

    - #### ATTR_GAINED_COUNT

          static final javax.xml.namespace.QName ATTR_GAINED_COUNT

    - #### ATTR_LOST_COUNT

          static final javax.xml.namespace.QName ATTR_LOST_COUNT

    - #### ATTR_PRESENT_COUNT

          static final javax.xml.namespace.QName ATTR_PRESENT_COUNT

    - #### ATTR_ABSENT_COUNT

          static final javax.xml.namespace.QName ATTR_ABSENT_COUNT

    - #### ATTR_FROM

          static final javax.xml.namespace.QName ATTR_FROM

    - #### ATTR_TO

          static final javax.xml.namespace.QName ATTR_TO

    - #### ATTR_CONFIDENCE

          static final javax.xml.namespace.QName ATTR_CONFIDENCE

    - #### ATTR_ID

          static final javax.xml.namespace.QName ATTR_ID

    - #### ATTR_COMMENT

          static final javax.xml.namespace.QName ATTR_COMMENT

    - #### ATTR_STANDARD_DEVIATION

          static final javax.xml.namespace.QName ATTR_STANDARD_DEVIATION

    - #### APPLIES_TO_PHYLOGENY

          static final java.lang.String APPLIES_TO_PHYLOGENY

      See Also:
        Constant Field Values

    - #### APPLIES_TO_CLADE

          static final java.lang.String APPLIES_TO_CLADE

      See Also:
        Constant Field Values

    - #### APPLIES_TO_NODE

          static final java.lang.String APPLIES_TO_NODE

      See Also:
        Constant Field Values

    - #### APPLIES_TO_ANNOTATION

          static final java.lang.String APPLIES_TO_ANNOTATION

      See Also:
        Constant Field Values

    - #### APPLIES_TO_PARENT_BRANCH

          static final java.lang.String APPLIES_TO_PARENT_BRANCH

      See Also:
        Constant Field Values

    - #### APPLIES_TO_OTHER

          static final java.lang.String APPLIES_TO_OTHER

      See Also:
        Constant Field Values

    - #### TYPE_NETWORK_EDGE

          static final java.lang.String TYPE_NETWORK_EDGE

      See Also:
        Constant Field Values

    - #### PHYLOXML_PREDICATE_NAMESPACE

          static final java.lang.String PHYLOXML_PREDICATE_NAMESPACE

      See Also:
        Constant Field Values

    - #### PREDICATE_PHYLOGENY_ID

          static final javax.xml.namespace.QName PREDICATE_PHYLOGENY_ID

    - #### PREDICATE_PHYLOGENY_ID_VALUE

          static final javax.xml.namespace.QName PREDICATE_PHYLOGENY_ID_VALUE

    - #### PREDICATE_PHYLOGENY_ID_ATTR_PROVIDER

          static final javax.xml.namespace.QName PREDICATE_PHYLOGENY_ID_ATTR_PROVIDER

    - #### PREDICATE_PHYLOGENY_DESCRIPTION

          static final javax.xml.namespace.QName PREDICATE_PHYLOGENY_DESCRIPTION

    - #### PREDICATE_PHYLOGENY_DATE

          static final javax.xml.namespace.QName PREDICATE_PHYLOGENY_DATE

    - #### PREDICATE_PHYLOGENY_ATTR_REROOTABLE

          static final javax.xml.namespace.QName PREDICATE_PHYLOGENY_ATTR_REROOTABLE

    - #### PREDICATE_PHYLOGENY_ATTR_BRANCH_LENGTH_UNIT

          static final javax.xml.namespace.QName PREDICATE_PHYLOGENY_ATTR_BRANCH_LENGTH_UNIT

    - #### PREDICATE_PHYLOGENY_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_PHYLOGENY_ATTR_TYPE

    - #### PREDICATE_CLADE_REL

          static final javax.xml.namespace.QName PREDICATE_CLADE_REL

    - #### PREDICATE_CLADE_REL_ATTR_IDREF0

          static final javax.xml.namespace.QName PREDICATE_CLADE_REL_ATTR_IDREF0

    - #### PREDICATE_CLADE_REL_ATTR_IDREF1

          static final javax.xml.namespace.QName PREDICATE_CLADE_REL_ATTR_IDREF1

    - #### PREDICATE_CLADE_REL_ATTR_DISTANCE

          static final javax.xml.namespace.QName PREDICATE_CLADE_REL_ATTR_DISTANCE

    - #### PREDICATE_CLADE_REL_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_CLADE_REL_ATTR_TYPE

    - #### PREDICATE_SEQ_REL

          static final javax.xml.namespace.QName PREDICATE_SEQ_REL

    - #### PREDICATE_SEQ_REL_ATTR_IDREF0

          static final javax.xml.namespace.QName PREDICATE_SEQ_REL_ATTR_IDREF0

    - #### PREDICATE_SEQ_REL_ATTR_IDREF1

          static final javax.xml.namespace.QName PREDICATE_SEQ_REL_ATTR_IDREF1

    - #### PREDICATE_SEQ_REL_ATTR_DISTANCE

          static final javax.xml.namespace.QName PREDICATE_SEQ_REL_ATTR_DISTANCE

    - #### PREDICATE_SEQ_REL_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_SEQ_REL_ATTR_TYPE

    - #### PREDICATE_SEQ_REL_CONFIDENCE

          static final javax.xml.namespace.QName PREDICATE_SEQ_REL_CONFIDENCE

    - #### PREDICATE_SEQ_REL_CONFIDENCE_VALUE

          static final javax.xml.namespace.QName PREDICATE_SEQ_REL_CONFIDENCE_VALUE

    - #### PREDICATE_SEQ_REL_CONFIDENCE_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_SEQ_REL_CONFIDENCE_ATTR_TYPE

    - #### PREDICATE_ATTR_ID_SOURCE

          static final javax.xml.namespace.QName PREDICATE_ATTR_ID_SOURCE

    - #### PREDICATE_ATTR_COLLAPSE

          static final javax.xml.namespace.QName PREDICATE_ATTR_COLLAPSE

    - #### PREDICATE_WIDTH

          static final javax.xml.namespace.QName PREDICATE_WIDTH

    - #### PREDICATE_COLOR

          static final javax.xml.namespace.QName PREDICATE_COLOR

    - #### PREDICATE_COLOR_RED

          static final javax.xml.namespace.QName PREDICATE_COLOR_RED

    - #### PREDICATE_COLOR_GREEN

          static final javax.xml.namespace.QName PREDICATE_COLOR_GREEN

    - #### PREDICATE_COLOR_BLUE

          static final javax.xml.namespace.QName PREDICATE_COLOR_BLUE

    - #### PREDICATE_COLOR_ALPHA

          static final javax.xml.namespace.QName PREDICATE_COLOR_ALPHA

    - #### PREDICATE_CONFIDENCE

          static final javax.xml.namespace.QName PREDICATE_CONFIDENCE

    - #### PREDICATE_CONFIDENCE_VALUE

          static final javax.xml.namespace.QName PREDICATE_CONFIDENCE_VALUE

    - #### PREDICATE_CONFIDENCE_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_CONFIDENCE_ATTR_TYPE

    - #### PREDICATE_CONFIDENCE_ATTR_STDDEV

          static final javax.xml.namespace.QName PREDICATE_CONFIDENCE_ATTR_STDDEV

    - #### PREDICATE_NODE_ID

          static final javax.xml.namespace.QName PREDICATE_NODE_ID

    - #### PREDICATE_NODE_ID_VALUE

          static final javax.xml.namespace.QName PREDICATE_NODE_ID_VALUE

    - #### PREDICATE_NODE_ID_ATTR_PROVIDER

          static final javax.xml.namespace.QName PREDICATE_NODE_ID_ATTR_PROVIDER

    - #### PREDICATE_TAXONOMY

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY

    - #### PREDICATE_TAXONOMY_ID

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_ID

    - #### PREDICATE_TAXONOMY_ID_VALUE

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_ID_VALUE

    - #### PREDICATE_TAXONOMY_ID_ATTR_PROVIDER

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_ID_ATTR_PROVIDER

    - #### PREDICATE_TAXONOMY_CODE

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_CODE

    - #### PREDICATE_TAXONOMY_SCIENTIFIC_NAME

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_SCIENTIFIC_NAME

    - #### PREDICATE_TAXONOMY_AUTHORITY

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_AUTHORITY

    - #### PREDICATE_TAXONOMY_COMMON_NAME

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_COMMON_NAME

    - #### PREDICATE_TAXONOMY_SYNONYM

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_SYNONYM

    - #### PREDICATE_TAXONOMY_RANK

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_RANK

    - #### PREDICATE_TAXONOMY_URI

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_URI

    - #### PREDICATE_TAXONOMY_URI_VALUE

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_URI_VALUE

    - #### PREDICATE_TAXONOMY_URI_ATTR_DESC

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_URI_ATTR_DESC

    - #### PREDICATE_TAXONOMY_URI_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_TAXONOMY_URI_ATTR_TYPE

    - #### PREDICATE_SEQUENCE

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE

    - #### PREDICATE_SEQUENCE_SYMBOL

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_SYMBOL

    - #### PREDICATE_SEQUENCE_ACCESSION

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_ACCESSION

    - #### PREDICATE_SEQUENCE_ACCESSION_VALUE

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_ACCESSION_VALUE

    - #### PREDICATE_SEQUENCE_ACCESSION_ATTR_COMMENT

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_ACCESSION_ATTR_COMMENT

    - #### PREDICATE_SEQUENCE_ACCESSION_ATTR_SOURCE

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_ACCESSION_ATTR_SOURCE

    - #### PREDICATE_SEQUENCE_NAME

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_NAME

    - #### PREDICATE_SEQUENCE_LOCATION

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_LOCATION

    - #### PREDICATE_SEQUENCE_MOL_SEQ

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_MOL_SEQ

    - #### PREDICATE_SEQUENCE_MOL_SEQ_VALUE

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_MOL_SEQ_VALUE

    - #### PREDICATE_SEQUENCE_MOL_SEQ_ATTR_IS_ALIGNED

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_MOL_SEQ_ATTR_IS_ALIGNED

    - #### PREDICATE_SEQUENCE_URI

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_URI

    - #### PREDICATE_SEQUENCE_URI_VALUE

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_URI_VALUE

    - #### PREDICATE_SEQUENCE_URI_ATTR_DESC

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_URI_ATTR_DESC

    - #### PREDICATE_SEQUENCE_URI_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_URI_ATTR_TYPE

    - #### PREDICATE_SEQUENCE_GENE_NAME

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_GENE_NAME

    - #### PREDICATE_SEQUENCE_CROSS_REFERENCES

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_CROSS_REFERENCES

    - #### PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION

    - #### PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION_VALUE

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION_VALUE

    - #### PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION_ATTR_COMMENT

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION_ATTR_COMMENT

    - #### PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION_ATTR_SOURCE

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_CROSS_REFERENCES_ACCESSION_ATTR_SOURCE

    - #### PREDICATE_SEQUENCE_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_ATTR_TYPE

    - #### PREDICATE_SEQUENCE_ATTR_ID_REF

          static final javax.xml.namespace.QName PREDICATE_SEQUENCE_ATTR_ID_REF

    - #### PREDICATE_DOMAIN_ARCHITECTURE

          static final javax.xml.namespace.QName PREDICATE_DOMAIN_ARCHITECTURE

    - #### PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN

          static final javax.xml.namespace.QName PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN

    - #### PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_VALUE

          static final javax.xml.namespace.QName PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_VALUE

    - #### PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_FROM

          static final javax.xml.namespace.QName PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_FROM

    - #### PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_TO

          static final javax.xml.namespace.QName PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_TO

    - #### PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_CONFIDENCE

          static final javax.xml.namespace.QName PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_CONFIDENCE

    - #### PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_ID

          static final javax.xml.namespace.QName PREDICATE_DOMAIN_ARCHITECTURE_DOMAIN_ATTR_ID

    - #### PREDICATE_DOMAIN_ARCHITECTURE_ATTR_LENGTH

          static final javax.xml.namespace.QName PREDICATE_DOMAIN_ARCHITECTURE_ATTR_LENGTH

    - #### PREDICATE_ANNOTATION

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION

    - #### PREDICATE_ANNOTATION_DESC

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_DESC

    - #### PREDICATE_ANNOTATION_CONFIDENCE

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_CONFIDENCE

    - #### PREDICATE_ANNOTATION_CONFIDENCE_VALUE

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_CONFIDENCE_VALUE

    - #### PREDICATE_ANNOTATION_CONFIDENCE_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_CONFIDENCE_ATTR_TYPE

    - #### PREDICATE_ANNOTATION_PROPERTY

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_PROPERTY

    - #### PREDICATE_ANNOTATION_PROPERTY_ATTR_UNIT

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_PROPERTY_ATTR_UNIT

    - #### PREDICATE_ANNOTATION_PROPERTY_ATTR_DATATYPE

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_PROPERTY_ATTR_DATATYPE

    - #### PREDICATE_ANNOTATION_PROPERTY_ATTR_APPLIES_TO

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_PROPERTY_ATTR_APPLIES_TO

    - #### PREDICATE_ANNOTATION_PROPERTY_ATTR_ID_REF

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_PROPERTY_ATTR_ID_REF

    - #### PREDICATE_ANNOTATION_URI

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_URI

    - #### PREDICATE_ANNOTATION_URI_VALUE

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_URI_VALUE

    - #### PREDICATE_ANNOTATION_URI_ATTR_DESC

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_URI_ATTR_DESC

    - #### PREDICATE_ANNOTATION_URI_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_URI_ATTR_TYPE

    - #### PREDICATE_ANNOTATION_ATTR_REF

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_ATTR_REF

    - #### PREDICATE_ANNOTATION_ATTR_SOURCE

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_ATTR_SOURCE

    - #### PREDICATE_ANNOTATION_ATTR_EVIDENCE

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_ATTR_EVIDENCE

    - #### PREDICATE_ANNOTATION_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_ANNOTATION_ATTR_TYPE

    - #### PREDICATE_EVENTS

          static final javax.xml.namespace.QName PREDICATE_EVENTS

    - #### PREDICATE_EVENTS_TYPE

          static final javax.xml.namespace.QName PREDICATE_EVENTS_TYPE

    - #### PREDICATE_EVENTS_DUPLICATIONS

          static final javax.xml.namespace.QName PREDICATE_EVENTS_DUPLICATIONS

    - #### PREDICATE_EVENTS_SPECIATIONS

          static final javax.xml.namespace.QName PREDICATE_EVENTS_SPECIATIONS

    - #### PREDICATE_EVENTS_LOSSES

          static final javax.xml.namespace.QName PREDICATE_EVENTS_LOSSES

    - #### PREDICATE_EVENTS_CONFIDENCE

          static final javax.xml.namespace.QName PREDICATE_EVENTS_CONFIDENCE

    - #### PREDICATE_EVENTS_CONFIDENCE_VALUE

          static final javax.xml.namespace.QName PREDICATE_EVENTS_CONFIDENCE_VALUE

    - #### PREDICATE_EVENTS_CONFIDENCE_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_EVENTS_CONFIDENCE_ATTR_TYPE

    - #### PREDICATE_BINARY_CHARACTERS

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS

    - #### PREDICATE_BINARY_CHARACTERS_GAINED

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_GAINED

    - #### PREDICATE_BINARY_CHARACTERS_GAINED_BC

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_GAINED_BC

    - #### PREDICATE_BINARY_CHARACTERS_LOST

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_LOST

    - #### PREDICATE_BINARY_CHARACTERS_LOST_BC

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_LOST_BC

    - #### PREDICATE_BINARY_CHARACTERS_PRESENT

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_PRESENT

    - #### PREDICATE_BINARY_CHARACTERS_PRESENT_BC

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_PRESENT_BC

    - #### PREDICATE_BINARY_CHARACTERS_ABSENT

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_ABSENT

    - #### PREDICATE_BINARY_CHARACTERS_ABSENT_BC

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_ABSENT_BC

    - #### PREDICATE_BINARY_CHARACTERS_ATTR_TYPE

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_ATTR_TYPE

    - #### PREDICATE_BINARY_CHARACTERS_ATTR_GAINED_COUNT

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_ATTR_GAINED_COUNT

    - #### PREDICATE_BINARY_CHARACTERS_ATTR_LOST_COUNT

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_ATTR_LOST_COUNT

    - #### PREDICATE_BINARY_CHARACTERS_ATTR_PRESENT_COUNT

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_ATTR_PRESENT_COUNT

    - #### PREDICATE_BINARY_CHARACTERS_ATTR_ABSENT_COUNT

          static final javax.xml.namespace.QName PREDICATE_BINARY_CHARACTERS_ATTR_ABSENT_COUNT

    - #### PREDICATE_DISTRIBUTION

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION

    - #### PREDICATE_DISTRIBUTION_DESC

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_DESC

    - #### PREDICATE_DISTRIBUTION_POINT

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POINT

    - #### PREDICATE_DISTRIBUTION_POINT_LAT

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POINT_LAT

    - #### PREDICATE_DISTRIBUTION_POINT_LONG

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POINT_LONG

    - #### PREDICATE_DISTRIBUTION_POINT_ALT

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POINT_ALT

    - #### PREDICATE_DISTRIBUTION_POINT_ATTR_GEODETIC_DATUM

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POINT_ATTR_GEODETIC_DATUM

    - #### PREDICATE_DISTRIBUTION_POINT_ATTR_ALT_UNIT

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POINT_ATTR_ALT_UNIT

    - #### PREDICATE_DISTRIBUTION_POLYGON

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POLYGON

    - #### PREDICATE_DISTRIBUTION_POLYGON_POINT

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POLYGON_POINT

    - #### PREDICATE_DISTRIBUTION_POLYGON_POINT_LAT

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POLYGON_POINT_LAT

    - #### PREDICATE_DISTRIBUTION_POLYGON_POINT_LONG

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POLYGON_POINT_LONG

    - #### PREDICATE_DISTRIBUTION_POLYGON_POINT_ALT

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POLYGON_POINT_ALT

    - #### PREDICATE_DISTRIBUTION_POLYGON_POINT_ATTR_GEODETIC_DATUM

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POLYGON_POINT_ATTR_GEODETIC_DATUM

    - #### PREDICATE_DISTRIBUTION_POLYGON_POINT_ATTR_ALT_UNIT

          static final javax.xml.namespace.QName PREDICATE_DISTRIBUTION_POLYGON_POINT_ATTR_ALT_UNIT

    - #### PREDICATE_DATE

          static final javax.xml.namespace.QName PREDICATE_DATE

    - #### PREDICATE_DATE_DESC

          static final javax.xml.namespace.QName PREDICATE_DATE_DESC

    - #### PREDICATE_DATE_VALUE

          static final javax.xml.namespace.QName PREDICATE_DATE_VALUE

    - #### PREDICATE_DATE_MINIMUM

          static final javax.xml.namespace.QName PREDICATE_DATE_MINIMUM

    - #### PREDICATE_DATE_MAXIMUM

          static final javax.xml.namespace.QName PREDICATE_DATE_MAXIMUM

    - #### PREDICATE_DATE_ATTR_UNIT

          static final javax.xml.namespace.QName PREDICATE_DATE_ATTR_UNIT

    - #### PREDICATE_REFERENCE

          static final javax.xml.namespace.QName PREDICATE_REFERENCE

    - #### PREDICATE_REFERENCE_DESC

          static final javax.xml.namespace.QName PREDICATE_REFERENCE_DESC

    - #### PREDICATE_REFERENCE_VALUE

          static final javax.xml.namespace.QName PREDICATE_REFERENCE_VALUE

    - #### PREDICATE_REFERENCE_ATTR_DOI

          static final javax.xml.namespace.QName PREDICATE_REFERENCE_ATTR_DOI

    - #### PREDICATE_PROPERTY

          static final javax.xml.namespace.QName PREDICATE_PROPERTY

    - #### PREDICATE_PROPERTY_ATTR_UNIT

          static final javax.xml.namespace.QName PREDICATE_PROPERTY_ATTR_UNIT

    - #### PREDICATE_PROPERTY_ATTR_APPLIES_TO

          static final javax.xml.namespace.QName PREDICATE_PROPERTY_ATTR_APPLIES_TO

    - #### PREDICATE_PROPERTY_ATTR_ID_REF

          static final javax.xml.namespace.QName PREDICATE_PROPERTY_ATTR_ID_REF

    - #### PHYLOXML_DATA_TYPE_NAMESPACE

          static final java.lang.String PHYLOXML_DATA_TYPE_NAMESPACE

      See Also:
        Constant Field Values

    - #### DATA_TYPE_BRANCH_COLOR

          static final javax.xml.namespace.QName DATA_TYPE_BRANCH_COLOR

    - #### DATA_TYPE_EVENTTYPE

          static final javax.xml.namespace.QName DATA_TYPE_EVENTTYPE

    - #### DATA_TYPE_RANK

          static final javax.xml.namespace.QName DATA_TYPE_RANK

    - #### DATA_TYPE_SEQUENCE_SYMBOL

          static final javax.xml.namespace.QName DATA_TYPE_SEQUENCE_SYMBOL

    - #### DATA_TYPE_TAXONOMY_CODE

          static final javax.xml.namespace.QName DATA_TYPE_TAXONOMY_CODE